Subject: Re: FW: Missing strtoull()...
From: [email-masked] (Brendan Simon)

17 Jul 1998 07:21:59 -0700
Message-ID: <[email-masked]>
References: <c=AU%a=_%l=[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------4605F41EBE5C51D4D8866A2C"
To: [email-masked]

This is a multi-part message in MIME format.
--------------4605F41EBE5C51D4D8866A2C
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

My guess is that long long & unsigned long long are not part of the ANSI C
standard.  GCC is the only compiler I've seen that supports that syntax so
I assume its a GCC extension to the C language to get 64 bits.
It would be nice to get a standard 64 bit type.  Does any one know if this
exists or if one has been proposed ?

Brendan Simon.

> >
> >----------
> >From:  [email-masked]
> >Sent:  Wednesday, July 15, 1998 4:47:19 AM
> >To:    [email-masked]
> >Subject:       Missing strtoull()...
> >Auto forwarded by a Rule
> >
>
> I compiled the cygwin32 tools as a cross-compiler from sgi-mips-irix to
> i686-pc-cygwin32. Everything is working just dandy, but it looks like
> although
> "unsigned long long" types are supported, the standard C library does
> not
> provide strtoull(). Is there a good reason for this other than it hasn't
> been
> written?
>
> Thanks.
>
> Berend
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

--------------4605F41EBE5C51D4D8866A2C
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Brendan Simon
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Brendan Simon
n:              Simon;Brendan
org:            CTAM Pty Ltd
adr:            469 Springvale Rd;;;Glen Waverly;Victoria;3150;Australia
email;internet: [email-masked]
title:          Design Engineer
tel;work:       +61 3 9886 0899
tel;fax:        +61 3 9886 0269
tel;home:       +61 3 9561 0817
note:           	
x-mozilla-cpt:  ;0
x-mozilla-html: TRUE
version:        2.1
end:            vcard

--------------4605F41EBE5C51D4D8866A2C--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".